Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.datamodel
Interface GenomicAlignBlock

All Superinterfaces:
  Persistent, java.io.Serializable

public interface GenomicAlignBlock
extends Persistent

I am part of the compara-analysis. I keep information about groups of dna-dna alignments between species.

Method Summary
`void` | `addGenomicAlign(GenomicAlign align)` Add a GenomicAlign to the block.
`java.util.List` | `getAlignmentStrings()`
`java.util.List` | `getAllGenomicAligns()` Return genomicAligns.
`java.util.List` | `getAllNonreferenceGenomicAligns()`
`java.util.List` | `getAllUngappedGenomicAlignBlocks()`
`int` | `getLength()`
`MethodLinkSpeciesSet` | `getMethodLinkSpeciesSet()`
`long` | `getMethodLinkSpeciesSetInternalId()`
`double` | `getPercentageID()`
`GenomicAlign` | `getReferenceGenomicAlign()`
`long` | `getReferenceGenomicAlignInternalID()`
`Location` | `getReferenceSlice()`
`int` | `getReferenceSliceEnd()`
`int` | `getReferenceSliceStart()`
`double` | `getScore()`
`void` | `reverseComplement()`
`void` | `setLength(int length)`
`void` | `setMethodLinkSpeciesSet(MethodLinkSpeciesSet set)`
`void` | `setMethodLinkSpeciesSetInternalId(long id)`
`void` | `setPercentageID(double percId)`
`void` | `setReferenceGenomicAlign(GenomicAlign align)`
`void` | `setReferenceGenomicAlignInternalID(long id)`
`void` | `setReferenceSlice(Location refSlice)`
`void` | `setReferenceSliceEnd(int end)`
`void` | `setReferenceSliceStart(int end)`
`void` | `setScore(double score)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getAlignmentStrings

    public java.util.List getAlignmentStrings()

### addGenomicAlign

    public void addGenomicAlign(GenomicAlign align)

  Add a GenomicAlign to the block.

  Parameters:
    `align` - an alignment associated with this Block.

### getAllGenomicAligns

    public java.util.List getAllGenomicAligns()

  Return genomicAligns.

  See Also:
    `addGenomicAlign(GenomicAlign)`

### getAllNonreferenceGenomicAligns

    public java.util.List getAllNonreferenceGenomicAligns()

### getAllUngappedGenomicAlignBlocks

    public java.util.List getAllUngappedGenomicAlignBlocks()

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### getMethodLinkSpeciesSet

    public MethodLinkSpeciesSet getMethodLinkSpeciesSet()

### setMethodLinkSpeciesSet

    public void setMethodLinkSpeciesSet(MethodLinkSpeciesSet set)

### getMethodLinkSpeciesSetInternalId

    public long getMethodLinkSpeciesSetInternalId()

### setMethodLinkSpeciesSetInternalId

    public void setMethodLinkSpeciesSetInternalId(long id)

### getPercentageID

    public double getPercentageID()

### setPercentageID

    public void setPercentageID(double percId)

### getReferenceGenomicAlign

    public GenomicAlign getReferenceGenomicAlign()

### setReferenceGenomicAlign

    public void setReferenceGenomicAlign(GenomicAlign align)

### getReferenceSlice

    public Location getReferenceSlice()

### setReferenceSlice

    public void setReferenceSlice(Location refSlice)

### getReferenceSliceEnd

    public int getReferenceSliceEnd()

### setReferenceSliceEnd

    public void setReferenceSliceEnd(int end)

### getReferenceSliceStart

    public int getReferenceSliceStart()

### setReferenceSliceStart

    public void setReferenceSliceStart(int end)

### reverseComplement

    public void reverseComplement()

### getScore

    public double getScore()

### setScore

    public void setScore(double score)

### getReferenceGenomicAlignInternalID

    public long getReferenceGenomicAlignInternalID()

### setReferenceGenomicAlignInternalID

    public void setReferenceGenomicAlignInternalID(long id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD